## ocaml-crunch 4.0.0

=== Makefile ===
.PHONY: build clean test

build:
	dune build

test:
	dune runtest

clean:
	dune clean

## ocaml-crunch 3.3.1

=== debian/changelog ===
ocaml-crunch (3.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #1064002)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Feb 2024 15:04:51 +0100

=== debian/control ===
Source: ocaml-crunch
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 libcmdliner-ocaml-dev,
 libptime-ocaml-dev,
 dh-ocaml (>= 1.2)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-crunch
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-crunch.git
Homepage: https://github.com/mirage/ocaml-crunch

Package: ocaml-crunch
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: convert a filesystem into a static OCaml module (tool)
 ocaml-crunch takes a directory of files and compiles them into a
 standalone OCaml module which serves the contents directly from
 memory. This can be convenient for libraries that need a few embedded
 files (such as a web server) and do not want to deal with all the
 trouble of file configuration.
 .
 This package contains the command-line tool.

Package: libcrunch-ocaml-dev
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ocaml-findlib
Description: convert a filesystem into a static OCaml module (dev files)
 ocaml-crunch takes a directory of files and compiles them into a
 standalone OCaml module which serves the contents directly from
 memory. This can be convenient for libraries that need a few embedded
 files (such as a web server) and do not want to deal with all the
 trouble of file configuration.
 .
 This package contains development files.

Package: libcrunch-ocaml
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: convert a filesystem into a static OCaml module (runtime files)
 ocaml-crunch takes a directory of files and compiles them into a
 standalone OCaml module which serves the contents directly from
 memory. This can be convenient for libraries that need a few embedded
 files (such as a web server) and do not want to deal with all the
 trouble of file configuration.
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
# needs mirage-kv

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/mirage/ocaml-crunch/releases?per_page=50 \
https://github.com/mirage/ocaml-crunch/releases/download/[^/]+/crunch-@ANY_VERSION@.tbz

## ocaml-crunch 4.0.0

=== debian/changelog ===
ocaml-crunch (4.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 28 Feb 2025 08:40:33 +0100

ocaml-crunch (3.3.1-2) unstable; urgency=medium

  * Enable tests
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 13 Oct 2024 10:58:38 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,12 @@
  ocaml-dune,
  libcmdliner-ocaml-dev,
  libptime-ocaml-dev,
+ liblwt-ocaml-dev <!nocheck>,
+ libmirage-kv-ocaml-dev <!nocheck>,
+ libmirage-kv-mem-ocaml-dev (>= 4.0.0) <!nocheck>,
+ libfmt-ocaml-dev <!nocheck>,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-crunch
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-crunch.git
